# Papuan Malay tN issues

The correct .md file format is documented at https://www.techadvancement.com/community/train/how-to-format-translation-notes-for-publishing-v-mast

## File modifications:

1. Removed the first line of every note file other than the intro.md files. Also removed the second line if blank. 
    * Consistently, notes files other than intro.md had two extraneous lines at the top.
    * RISK: might possibly have deleted some valid data.
    * 23,030 files affected
2. Removed the first two lines from intro.md files that start with some variation of "# Permulaan"
    * ~450 files affected
3. Removed lines containing empty HTML comments, and the lines following, if blank.
    * All HTML comment tags found were empty comments.
    * 469 files affected
4. Converted instances of & nbsp; to a single space.
    * 13,848 files affected
5. Removed top line of file if blank. Consolidated consecutive blank lines elsewhere in file.
    * ??? files affected
6. Removed "Kata-kata Terjemahan" section from files that had it.
    * Those are from an older tN version.
    * ~4550 files affected
7. Removed instances of <o:p> and </o:p>
    * They had no apparent purpose or meaning.
    * 620 files affected
8. Removed blank headers and the blank line following (if any).
    * 74 files affected
9. Fixed language code in tA links. Replaced rc://en/ with rc://*/
    * uncounted
10. Removed blank lines between list items.
    * 416 files affected
11. Removed high level hash tags in files showing the first classic pattern of corrupted heading levels.
    Classic pattern means:
    * Classic pattern means: First heading at level 1. Subsequent headings alternate higher level to level 1.
    * Ends with higher level heading. No untagged text lines anywhere.
    * 1119 files affected
12. Promoted headings to level 1 in files showing the second classic pattern of corrupted heading levels.
    * Classic pattern means: At least one heading at level 2 or higher.
    * Plain text lines alternate with headings. Ends with plain text line.
    * 2802 files affected
13. Removed top two lines of files meeting these criteria:
    * At least 5 lines long
    * First line contains a verse reference (space followed by digits, colon, and digits)
    * Second line is blank, and third line starts with hash mark
    * 50 files affected
14. Renamed all folders and files in Psalms from 2-digit to 3-digit names.
    * 2483 files/folders affected
15. Consolidated multi-line references into a single line (Lihat: [[...]])
    * 72 files affected
16. Converted v-mast links to regular note links.
    * 924 files affected
17. Removed explicit formatting from most level 1 headings.
    * 28 files affected
18. Removed high level hash tags in files showing a modified classic pattern of corrupted heading levels.
    The modified classic pattern is:
    * First heading and every other line is a level 1 heading.
    * Between level 1 headings are single lines that are either plain text or a higher level heading.
    * At least one heading is level 2 or higher.
    * Ends with higher level heading or text.
    * 702 files affected 
19. Removed empty files.
    * ~20 files affected
20. Replaced commonly misspelled TA reference  (figs-metonomy -> figs-metonymy)
    * 25 files affected
21. Manual edits by the volunteers in Orlando.
    * files not counted
22. Removed backslash-square bracket combinations.
    * 7 files affected
23. Remove html anchor tags
    * 36 files affected
24. Remove hard line breaks before a “(Liat:”  OR “(Lihat:” 
    * 733 files affected
25. Ensure ASCII space after Liat: or Lihat:
    * 6400+ files affected, mostly translation of non-ASCII space to ASCII space
26. Ensure space and left paren before Liat: or Lihat:
    * 720 files affected
27. Ensure spaces surround "dan" when "dan" or "and" occurs between two references.
    * 925 files affected
28. Removed blank line(s) at top of files (introduced in step 21).
    * 55 files affected
29. Manual edits by Larry
    * ~300 files affected
